From 7397dbc9217ccdda2a350e7376ec2ec43a0e11a7 Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 14 Jul 2019 13:56:51 +0200
Subject: [PATCH] linux4.19: update to 4.19.59.

[skip ci]
---
 srcpkgs/linux4.19/files/arm-dotconfig     |  9 +++++----
 srcpkgs/linux4.19/files/arm64-dotconfig   |  8 ++++----
 srcpkgs/linux4.19/files/i386-dotconfig    |  4 ++--
 srcpkgs/linux4.19/files/ppc-dotconfig     | 14 +++++++-------
 srcpkgs/linux4.19/files/ppc64-dotconfig   |  6 +++---
 srcpkgs/linux4.19/files/ppc64le-dotconfig |  6 +++---
 srcpkgs/linux4.19/files/x86_64-dotconfig  |  8 ++++----
 srcpkgs/linux4.19/template                |  4 ++--
 8 files changed, 30 insertions(+), 29 deletions(-)

diff --git a/srcpkgs/linux4.19/files/arm-dotconfig b/srcpkgs/linux4.19/files/arm-dotconfig
index 1659229f50a..bd9e3e1d3d8 100644
--- a/srcpkgs/linux4.19/files/arm-dotconfig
+++ b/srcpkgs/linux4.19/files/arm-dotconfig
@@ -1,14 +1,15 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm 4.19.35 Kernel Configuration
+# Linux/arm 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: arm-linux-gnueabihf-gcc (GCC) 8.3.0
+# Compiler: arm-linux-gnueabihf-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
+CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_IRQ_WORK=y
 CONFIG_BUILDTIME_EXTABLE_SORT=y
 
@@ -2413,7 +2414,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 # CONFIG_AQUANTIA_PHY is not set
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=y
 # CONFIG_BCM87XX_PHY is not set
diff --git a/srcpkgs/linux4.19/files/arm64-dotconfig b/srcpkgs/linux4.19/files/arm64-dotconfig
index 74834459ffa..442918ac34c 100644
--- a/srcpkgs/linux4.19/files/arm64-dotconfig
+++ b/srcpkgs/linux4.19/files/arm64-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/arm64 4.19.50 Kernel Configuration
+# Linux/arm64 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: aarch64-linux-gnu-gcc (GCC) 8.3.0
+# Compiler: aarch64-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_IRQ_WORK=y
@@ -2790,7 +2790,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux4.19/files/i386-dotconfig b/srcpkgs/linux4.19/files/i386-dotconfig
index d2be968ee31..99d7165550f 100644
--- a/srcpkgs/linux4.19/files/i386-dotconfig
+++ b/srcpkgs/linux4.19/files/i386-dotconfig
@@ -1,6 +1,6 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/i386 4.19.50 Kernel Configuration
+# Linux/i386 4.19.59 Kernel Configuration
 #
 
 #
@@ -2856,7 +2856,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux4.19/files/ppc-dotconfig b/srcpkgs/linux4.19/files/ppc-dotconfig
index 645c67c85a6..c5b4e4edde1 100644
--- a/srcpkgs/linux4.19/files/ppc-dotconfig
+++ b/srcpkgs/linux4.19/files/ppc-dotconfig
@@ -1,14 +1,15 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 4.19.36 Kernel Configuration
+# Linux/powerpc 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: powerpc-linux-gnu-gcc (GCC) 8.3.0
+# Compiler: powerpc-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
+CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_IRQ_WORK=y
 CONFIG_BUILDTIME_EXTABLE_SORT=y
 
@@ -535,9 +536,9 @@ CONFIG_ARCH_HAS_PHYS_TO_DMA=y
 #
 # CONFIG_GCOV_KERNEL is not set
 CONFIG_ARCH_HAS_GCOV_PROFILE_ALL=y
-CONFIG_PLUGIN_HOSTCC=""
+CONFIG_PLUGIN_HOSTCC="g++"
+CONFIG_HAVE_GCC_PLUGINS=y
 # CONFIG_GCC_PLUGINS is not set
-# CONFIG_HAVE_GCC_PLUGINS is not set
 CONFIG_RT_MUTEXES=y
 CONFIG_BASE_SMALL=0
 CONFIG_MODULES=y
@@ -2496,7 +2497,7 @@ CONFIG_LED_TRIGGER_PHY=y
 #
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 # CONFIG_BCM7XXX_PHY is not set
 CONFIG_BCM87XX_PHY=m
@@ -6102,7 +6103,6 @@ CONFIG_GENERIC_PHY=y
 # CONFIG_PHY_PXA_28NM_HSIC is not set
 # CONFIG_PHY_PXA_28NM_USB2 is not set
 # CONFIG_PHY_CPCAP_USB is not set
-# CONFIG_PHY_MAPPHONE_MDM6600 is not set
 # CONFIG_POWERCAP is not set
 # CONFIG_MCB is not set
 
diff --git a/srcpkgs/linux4.19/files/ppc64-dotconfig b/srcpkgs/linux4.19/files/ppc64-dotconfig
index cf936f563ef..95305d1650e 100644
--- a/srcpkgs/linux4.19/files/ppc64-dotconfig
+++ b/srcpkgs/linux4.19/files/ppc64-dotconfig
@@ -1,10 +1,10 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 4.19.58 Kernel Configuration
+# Linux/powerpc 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 9.1.0
+# Compiler: powerpc64-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
 CONFIG_GCC_VERSION=90100
@@ -2922,7 +2922,7 @@ CONFIG_LED_TRIGGER_PHY=y
 CONFIG_SFP=m
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-CONFIG_ASIX_PHY=m
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux4.19/files/ppc64le-dotconfig b/srcpkgs/linux4.19/files/ppc64le-dotconfig
index 778b9da2b95..80819d9617c 100644
--- a/srcpkgs/linux4.19/files/ppc64le-dotconfig
+++ b/srcpkgs/linux4.19/files/ppc64le-dotconfig
@@ -1,10 +1,10 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/powerpc 4.19.58 Kernel Configuration
+# Linux/powerpc 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 9.1.0
+# Compiler: powerpc64le-linux-gnu-gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
 CONFIG_GCC_VERSION=90100
@@ -2783,7 +2783,7 @@ CONFIG_LED_TRIGGER_PHY=y
 CONFIG_SFP=m
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-CONFIG_ASIX_PHY=m
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux4.19/files/x86_64-dotconfig b/srcpkgs/linux4.19/files/x86_64-dotconfig
index 39f21bc7e2c..1bc46ad605b 100644
--- a/srcpkgs/linux4.19/files/x86_64-dotconfig
+++ b/srcpkgs/linux4.19/files/x86_64-dotconfig
@@ -1,13 +1,13 @@
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/x86_64 4.19.50 Kernel Configuration
+# Linux/x86_64 4.19.59 Kernel Configuration
 #
 
 #
-# Compiler: gcc (GCC) 8.3.0
+# Compiler: gcc (GCC) 9.1.0
 #
 CONFIG_CC_IS_GCC=y
-CONFIG_GCC_VERSION=80300
+CONFIG_GCC_VERSION=90100
 CONFIG_CLANG_VERSION=0
 CONFIG_CC_HAS_ASM_GOTO=y
 CONFIG_IRQ_WORK=y
@@ -2920,7 +2920,7 @@ CONFIG_LED_TRIGGER_PHY=y
 # CONFIG_SFP is not set
 CONFIG_AMD_PHY=m
 CONFIG_AQUANTIA_PHY=m
-# CONFIG_ASIX_PHY is not set
+CONFIG_AX88796B_PHY=m
 CONFIG_AT803X_PHY=m
 CONFIG_BCM7XXX_PHY=m
 CONFIG_BCM87XX_PHY=m
diff --git a/srcpkgs/linux4.19/template b/srcpkgs/linux4.19/template
index f514b0c577d..a404e30f90f 100644
--- a/srcpkgs/linux4.19/template
+++ b/srcpkgs/linux4.19/template
@@ -1,6 +1,6 @@
 # Template file for 'linux4.19'
 pkgname=linux4.19
-version=4.19.58
+version=4.19.59
 revision=1
 wrksrc="linux-${version}"
 short_desc="Linux kernel and modules (${version%.*} series)"
@@ -8,7 +8,7 @@ maintainer="Helmut Pozimski <helmut@pozimski.eu>"
 license="GPL-2.0-only"
 homepage="https://www.kernel.org"
 distfiles="https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-${version}.tar.xz"
-checksum=5f1162ca16d0c85cec2dd9e2b96efabd6fc8e6ec7b35d86f515859fb9e9858f1
+checksum=b8b41825d439de0587031eb8c659c5eb4970a5be5bfda1868661016c52c8b35b
 patch_args="-Np1"
 
 nodebug=yes  # -dbg package is generated below manually
